# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="dialog based ssh client wrapper"
HOMEPAGE="https://source.devloop.de/damage/s3h"
SRC_URI="https://source.devloop.de/damage/s3h/raw/tag/${PV}/s3h.sh"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64"

S="${WORKDIR}"

DEPEND="dev-util/dialog"
RDEPEND="${DEPEND}"
BDEPEND=""

src_prepare() {
	default
}

src_install() {
	dodir /usr/bin
	cp "${DISTDIR}/s3h.sh" "${D}/usr/bin/s3h"
	chmod 0755 "${D}/usr/bin/s3h"
}
