# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="show permissions of all directories from given path up to root"
HOMEPAGE="https://source.devloop.de/damage/shperm"
SRC_URI="https://source.devloop.de/damage/shperm/archive/${PV}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"

S="${WORKDIR}/${PN}"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND="sys-devel/gcc"

src_compile() {
	gcc -o shperm shperm.c
}

src_install() {
	dobin shperm
}
